---
layout: release
date: 2021-12-31
tag: v0.6.0-rc-3
---

## What's New
## 🔤 General
- [UI] Navigator align fix @Chadha93 (#4816)
- Fix a typo in meshery makefile @gyohuangxin (#4807)
- chore(Docs) : Added Meshery Adapter for Cilium Service Mesh  @Abhijay007 (#4782)
- Added meshkit style error in handlers @sayantan1413 (#4340)
- Fix login issues with meshery provider requires reload @Abhishek-kumar09 (#4762)
- [Broker] Broker connection GraphQL subscription @bariqhibat (#4689)

## ⌨️ Meshery CLI

- Fix failing unit tests in mesheryctl @Revolyssup (#4846)
- [mesheryctl]Add verbose flag in system status @Revolyssup (#4845)
- Stop app-mesh from being installed via helm @Revolyssup (#4836)
- [Meshery] Removed api calls from meshey server @piyushsingariya (#4671)
- Fix incorrect endpoint in system status @Revolyssup (#4809)
- Default to provided adapter without prompting the user @navendu-pottekkat (#4798)
- Improve error message when kubernetes cluster is not available or the token is invalid. @ibnjunaid (#4751)
- [CI] Goreleaser upgrade @leecalcote (#4780)
- [mesheryctl] `dashboard` fetches meshery endpoint for k8s @piyushsingariya (#4679)

## 🖥 Meshery UI

- [RJSF] Add title and some styling changes to rjsf components @Abhishek-kumar09 (#4840)
- fix : Update update handler function to change the order of arguements @sudo-NithishKarthik (#4832)
- [ Visualizer ] restructuring to visualizer terminal | CU-1wn5nzk | CU-1c5dt1 @manav1403 (#4829)
- added Meshsync status to tooltip @warunicorn19 (#4827)
- Add meshsync status logo in header @Prakhar-Agarwal-byte (#4785)
- Handle pattern UI crash  @Abhishek-kumar09 (#4821)
- [fix/ci]: cypress binary unavailable @Abhishek-kumar09 (#4822)
- [Fix/Feature] Pattern Configurator From #4769 @Abhishek-kumar09 (#4774)
- removed extra padding causing overflow @warunicorn19 (#4788)
- [Dependency] MeshKit v0.2.35 @leecalcote (#4732)
- [Rjsf] Format/Change RJSF Form components  @Abhishek-kumar09 (#4772)
- [Pattern Configurator] feat for changing name from toolbar @Abhishek-kumar09 (#4764)
- fixed chevron issue @warunicorn19 (#4770)
- [GraphQL] handle subscription efficiently and move meshsync subscription to headers @bariqhibat (#4712)
- Bump next from 11.1.1 to 11.1.3 in /provider-ui @dependabot (#4743)
- [UI/Provider] fix provider selection/click being ignored sometimes and add progress bar @Abhishek-kumar09 (#4763)
- [UI] Create custom error page @theBeginner86 (#4727)
- Add pointer cursor on hovering over release version link @14Richa (#4757)
- Fix chevron visibility @Prakhar-Agarwal-byte (#4739)
- Aligned list item profile text and icon @Prakhar-Agarwal-byte (#4735)
- [Chore] Add lint fix files and git add to the lint-staged command stack @sudo-NithishKarthik (#4747)
- [ Meshmap-Visualizer ] Removed empty state of metrics and added Prometheus fetch @manav1403 (#4745)
- Added check for JSON input for Prometheus metrices @manav1403 (#4740)

## 🔋 Patterns, Filters, Applications

- [UI] RJSF textfield enhancement @Chadha93 (#4814)
- [Fix/Feature] Pattern Configurator From #4769 @Abhishek-kumar09 (#4774)
- [Rjsf] Format/Change RJSF Form components  @Abhishek-kumar09 (#4772)
- [Pattern Configurator] feat for changing name from toolbar @Abhishek-kumar09 (#4764)
- Avoid dumping logs in case of dry run @Revolyssup (#4736)

## 🧰 Maintenance

- minor fix in e2e test @Revolyssup (#4843)
- Fixpossiblepanic @Revolyssup (#4730)
- [fix/ci]: cypress binary unavailable @Abhishek-kumar09 (#4822)
- Increase Polling time in core workflow for e2e tests @Revolyssup (#4815)
- Update e2e workflow to be broader in scope @navendu-pottekkat (#4801)
- poll and wait to avoid exiting with error in e2e workflow @Revolyssup (#4795)
- Change core workflow for e2e adapter tests @Revolyssup (#4786)
- [CI] Goreleaser upgrade @leecalcote (#4780)
- fixed broken links in Issue_templates @varunsaral (#4670)
- Bump fortio.org/fortio from 1.17.0 to 1.19.0 @dependabot (#4703)
- Added newcomers-alert workflow @cpepper96 (#4756)
- Bump next from 11.1.1 to 11.1.3 in /provider-ui @dependabot (#4743)

## 📖 Documentation

- [Docs] Network port clarification @leecalcote (#4841)
- Change naming convention for Matrix markdown files @alphaX86 (#4820)
- fixed the links for the adapters @asubedy (#4825)
- added guide to version docs @warunicorn19 (#4799)
- Remove demo table @Revolyssup (#4800)
- updated the helm command and instructions @Aisuko (#4781)
- Removing Extra Copy Icon in Scoop Installation Guide  @Deepansharora27 (#4790)
- Docs: add docs for meshery-cilium @iamsdas (#4779)
- solved the issue of duplicate statements on contributing.md  @shubham-tyagi (#4765)
- [Docs] Added 2 Errors faced and fixes while running Meshery @Meghana-12 (#4754)
- Add link to contributing page for es (Spanish) version of the docs @14Richa (#4758)
- Move svg files to assets and update links on doc @14Richa (#4759)

## 🔒 Security

- [security] fix CVE with image spec  @s1ntaxe770r (#4649)

## 👨🏽‍💻 Contributors

Thank you to our contributors for making this release possible:
@14Richa, @Abhijay007, @Abhishek-kumar09, @Aisuko, @Chadha93, @Deepansharora27, @Meghana-12, @Prakhar-Agarwal-byte, @Revolyssup, @adithyaakrishna, @alphaX86, @asubedy, @bariqhibat, @cpepper96, @dependabot, @dependabot[bot], @gyohuangxin, @iamsdas, @ibnjunaid, @l5io, @leecalcote, @manav1403, @navendu-pottekkat, @piyushsingariya, @s1ntaxe770r, @samirparhi-dev, @sayantan1413, @shubham-tyagi, @sudo-NithishKarthik, @theBeginner86, @utkarsh-pro, @varunsaral, @warunicorn19 and osama bin junaid
